[Setup]
SetupTitle=QNAP Quick Install Wizard
ProductName=QNAP Quick Install Wizard
Version=4.0.1
UninstallKey=QNAP_NASQuickInstallWizard
AskPath=FALSE
AskType=FALSE
AskProgramFolder=FALSE
Restart=FALSE

[Update Driver]

[Copy Files]
Win9x\Nasclient.exe=%20%"\QNAP\QNAP Quick Install Wizard"
qnapuninstall.exe=%11%
; tc_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; sc_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; dan_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; dut_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; eng_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; fin_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; fre_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; ger_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; ita_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; jpn_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; kor_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; nor_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; por_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; rus_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; spa_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"
; swe_nasclient.hlp=%20%"\QNAP\QNAP Quick Install Wizard"

QIW_CHT.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_CHS.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_ENG.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_KOR.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_FRA.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_DEU.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_JPN.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_ESP.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_RUS.mht=%20%"\QNAP\QNAP Quick Install Wizard"
QIW_ITA.mht=%20%"\QNAP\QNAP Quick Install Wizard"

[Create Shortcut]
; x = name, path, mode, subpath, shortcut name, icon, param, description
; mode: 0 = desktop, 1 = start menu, 2 = program menu
; subpath = path name for program menu (only valid when mode = 2)
; NOTE: shortcut name need to be unique OR the uninsatllation of the first one will not be performed. 
1=Nasclient.exe, %20%"\QNAP\QNAP Quick Install Wizard", 0, , "QNAP Quick Install Wizard", 0
2=Nasclient.exe, %20%"\QNAP\QNAP Quick Install Wizard", 2, "QNAP Storage Software\Quick Install Wizard", "Quick Install Wizard", 0
3=qnapuninstall.exe, %11%, 2, "QNAP Storage Software\Quick Install Wizard", "Uninstall Quick Install Wizard", 0, QNAP_NASQuickInstallWizard

;[Run Programs]
[Run Program After Installation]
; program_name=program_path, working_folder, parameters...
; default:
;	program_path = setup_program_path
;	working_folder = program_path
Nasclient.exe=%20%"\QNAP\QNAP Quick Install Wizard",,

[Kill Programs]
Nasclient.exe=IEINASQuickInstallWizardClass

[Add Registry]
; the first param is used for deciding whether to create uninstall shared registry or not
1=0, HKLM, %SystemUninstallKey%\%UninstallKeyName%\CleanRegs\HKEY_LOCAL_MACHINE, "Software\QNAP", 0, ""
2=0, HKLM, %SystemUninstallKey%\%UninstallKeyName%\CloseWindows\Nasclient.exe, Class, 0, IEINASQuickInstallWizardClass

[Strings]
UninstallKeyName="QNAP_NASQuickInstallWizard"
SystemUninstallKey="Software\Microsoft\Windows\CurrentVersion\Uninstall"
